src/base/cs_paramedmem_coupling.cxx File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_paramedmem_coupling.cxx File Reference
`#include "cs_defs.h"`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <math.h>`
`#include <mpi.h>`
`#include <ParaFIELD.hxx>`
`#include <ParaMESH.hxx>`
`#include <InterpKernelDEC.hxx>`
`#include <MEDCouplingUMesh.hxx>`
`#include <MEDCouplingField.hxx>`
`#include <MEDCouplingFieldDouble.hxx>`
`#include "bft_error.h"`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_connect.h"`
`#include "cs_parall.h"`
`#include "cs_prototypes.h"`
`#include "cs_selector.h"`
`#include "fvm_defs.h"`
`#include "fvm_nodal_from_desc.h"`
`#include "cs_paramedmem_coupling.hxx"`
Include dependency graph for cs_paramedmem_coupling.cxx:

## Functions
cs_paramedmem_coupling_t * | cs_paramedmem_create (const char *name, InterpKernelDEC *send_dec, InterpKernelDEC *recv_dec)
void | cs_paramedmem_destroy (cs_paramedmem_coupling_t **coupling)
int | cs_paramedmem_define_mesh (cs_paramedmem_coupling_t *coupling, const char *name, const char *select_criteria, int elt_dim, bool is_source, bool is_dest)
void | cs_paramedmem_init_meshes (cs_paramedmem_coupling_t *coupling)
int | cs_paramedmem_mesh_id (cs_paramedmem_coupling_t *coupling, const char *mesh_name)
cs_lnum_t | cs_paramedmem_mesh_get_n_elts (const cs_paramedmem_coupling_t *coupling, int mesh_id)
const cs_lnum_t * | cs_paramedmem_mesh_get_elt_list (const cs_paramedmem_coupling_t *coupling, int mesh_id)
int | cs_paramedmem_field_add (cs_paramedmem_coupling_t *coupling, const char *name, int mesh_id, int dim, TypeOfField type, TypeOfTimeDiscretization td, int dirflag)
int | cs_paramedmem_field_get_id (cs_paramedmem_coupling_t *coupling, int mesh_id, const char *name)
ParaMEDMEM::ParaFIELD * | cs_paramedmem_field_get (cs_paramedmem_coupling_t *coupling, int field_id)
void | cs_paramedmem_field_export (cs_paramedmem_coupling_t *coupling, int field_id, bool on_parent, const double field_values[])
void | cs_paramedmem_field_import (cs_paramedmem_coupling_t *coupling, int field_id, bool on_parent, double field_values[])

## Function Documentation

cs_paramedmem_coupling_t* cs_paramedmem_create | ( | const char * | name,
|  | InterpKernelDEC * | send_dec,
|  | InterpKernelDEC * | recv_dec
| ) |  |

int cs_paramedmem_define_mesh | ( | cs_paramedmem_coupling_t * | coupling,
|  | const char * | name,
|  | const char * | select_criteria,
|  | int | elt_dim,
|  | bool | is_source,
|  | bool | is_dest
| ) |  |

void cs_paramedmem_destroy | ( | cs_paramedmem_coupling_t ** | coupling | ) |

int cs_paramedmem_field_add | ( | cs_paramedmem_coupling_t * | coupling,
|  | const char * | name,
|  | int | mesh_id,
|  | int | dim,
|  | TypeOfField | type,
|  | TypeOfTimeDiscretization | td,
|  | int | dirflag
| ) |  |

void cs_paramedmem_field_export | ( | cs_paramedmem_coupling_t * | coupling,
|  | int | field_id,
|  | bool | on_parent,
|  | const double | field_values[]
| ) |  |

ParaMEDMEM::ParaFIELD* cs_paramedmem_field_get | ( | cs_paramedmem_coupling_t * | coupling,
|  | int | field_id
| ) |  |

int cs_paramedmem_field_get_id | ( | cs_paramedmem_coupling_t * | coupling,
|  | int | mesh_id,
|  | const char * | name
| ) |  |

void cs_paramedmem_field_import | ( | cs_paramedmem_coupling_t * | coupling,
|  | int | field_id,
|  | bool | on_parent,
|  | double | field_values[]
| ) |  |

void cs_paramedmem_init_meshes | ( | cs_paramedmem_coupling_t * | coupling | ) |

const cs_lnum_t* cs_paramedmem_mesh_get_elt_list | ( | const cs_paramedmem_coupling_t * | coupling,
|  | int | mesh_id
| ) |  |

cs_lnum_t cs_paramedmem_mesh_get_n_elts | ( | const cs_paramedmem_coupling_t * | coupling,
|  | int | mesh_id
| ) |  |

int cs_paramedmem_mesh_id | ( | cs_paramedmem_coupling_t * | coupling,
|  | const char * | mesh_name
| ) |  |